import request from "@/utils/request";
// 删除
export function doDeleteAdmin(id) {
  return request({
    url: "/admin/doDeleteAdmin",
    method: "get",
    params: {
      adminId: id,
    },
  });
}
// 添加-编辑管理员
export function doEditAdmin(data) {
  return request({
    url: "/admin/doEditAdmin",
    method: "post",
    data,
  });
}
// 获取管理员列表
export function doGetAdmins(data) {
  return request({
    url: "/admin/doGetAdmins",
    method: "post",
    data,
  });
}
// 获取管理员信息
export function getInfo() {
  return request({
    url: "/admin/doGetInfo",
    method: "get",
  });
}

// 修改密码
export function updateAdmin(data) {
  return request({
    url: "/admin/passwordUpdate",
    method: "post",
    data,
  });
}

// 后台管理登录
export function login(params) {
  return request({
    url: "/admin/doLogin",
    method: "get",
    params,
  });
}
// 后台管理退出登录
export function logout(params) {
  return request({
    url: "/admin/doLogout",
    method: "get",
    params,
  });
}

// 总管理员-下级账号列表
export function getAdminBelowList() {
  return request({
    url: "/admin/belowList",
    method: "get",
  });
}
// 获得省份列表
export function getProvince() {
  return request({
    url: "/admin/areaCode/getProvince",
    method: "get",
    params: {},
  });
}

// 获得城市列表
export function getCity(code) {
  return request({
    url: "/admin/areaCode/getCity",
    method: "get",
    params: code,
  });
}

// 获得区县列表
export function getArea(code) {
  return request({
    url: "/admin/areaCode/getArea",
    method: "get",
    params: code,
  });
}

// 获取街道列表
export function getStreet(code) {
  return request({
    url: "/admin/areaCode/getStreet",
    method: "get",
    params: code,
  });
}

// 获取派出所列表
export function getPoliceStation(code) {
  return request({
    url: "/admin/areaCode/getPoliceStation",
    method: "get",
    params: code,
  });
}
//获取社区列表
export function getCommunity(code) {
  return request({
    url: "/admin/areaCode/getCommunity",
    method: "get",
    params: code,
  });
}
